package com.ynet.life.base;

import com.ynet.gene.core.Context;
import com.ynet.gene.flow.GENEAction;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/LifeAction.class */
public abstract class LifeAction extends GENEAction {
    public static final String DEFAULT_RETURN_VALUE = "0";

    protected void log(Exception ex) {
        Trace.logError(Trace.COMPONENT_ACTION, "交易异常", ex);
    }

    protected Context getSessionCtx(Context ctx) {
        return ctx.getParent();
    }

    protected void handleException(Context context, TranFailException tfe, boolean throwException) throws TranFailException {
        context.put(LifeConstants.FIELD_EXCEPTION, tfe);
        if (throwException) {
            Trace.logError(Trace.COMPONENT_ACTION, tfe.getShowMessage(), tfe);
            throw tfe;
        }
    }
}
